[data-dropdown-container] {
  position: relative;
}
[data-dropdown-container] ul {
  list-style: none;
  padding: 0;
}
[data-dropdown-container] [data-dropdown-toggle] {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  cursor: pointer;
}
[data-dropdown-container] [data-dropdown-toggle] .icon {
  position: relative;
  transform: rotate(0deg);
  transition: transform 0.3s;
}
[data-dropdown-container] [data-dropdown-toggle] .icon.icon-arrow_down {
  width: 12px;
  height: 12px;
}
[data-dropdown-container] [data-dropdown-toggle][data-reverse-y] .icon {
  transform: rotate(180deg);
}
[data-dropdown-container] [data-dropdown-content] {
  position: absolute;
  top: 100%;
  left: 0;
  width: auto;
  background: #fff;
  padding: 20px;
  box-sizing: border-box;
  min-width: 100%;
}
[data-dropdown-container] [data-dropdown-content][data-reverse-x] {
  left: unset;
  right: 0;
}
[data-dropdown-container] [data-dropdown-content][data-reverse-y] {
  top: unset;
  bottom: 100%;
  border-radius: 5px 5px 0 0;
}
[data-dropdown-container][data-position="fixed"] [data-dropdown-content] {
  position: fixed;
}
[data-dropdown-container] .close-icon-block {
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #000;
  font-size: 14px;
  position: absolute;
  top: 32px;
  right: 32px;
  background: #fff;
  cursor: pointer;
}
[data-dropdown-container]:not(.open) > [data-dropdown-content] {
  display: none;
}
[data-dropdown-container]:not(.open)[data-show-type="slide"] [data-dropdown-content] {
  display: block;
  visibility: hidden;
}
[data-dropdown-container]:not(.open) [data-dropdown-toggle] a {
  pointer-events: none;
}
[data-dropdown-container].open {
  z-index: 2;
}
[data-dropdown-container].open > [data-dropdown-toggle] {
  background: #fff;
}
[data-dropdown-container].open > [data-dropdown-toggle] .icon.icon-arrow_down {
  transform: rotate(180deg);
}
[data-dropdown-container].open > [data-dropdown-toggle][data-reverse-y] .icon.icon-arrow_down {
  transform: rotate(0deg);
}
